Skip to main content

Remove Guide

Remove a staff member's guide assignment from an experience availability slot.

Endpointโ€‹

DELETE /v1/experience-availability/{id}/guides/{staffId}

Authenticationโ€‹

Requires an API key with the experiences:write scope.

Path Parametersโ€‹

ParameterTypeDescription
idintegerExperience availability slot ID
staffIdintegerStaff member ID to remove

Responseโ€‹

Success (200 OK)โ€‹

{
"data": {
"deleted": true
},
"meta": {
"request_id": "req_abc123",
"timestamp": "2026-04-01T09:00:00+00:00"
}
}

Errorsโ€‹

StatusCodeDescription
401authentication_requiredNo API key provided
401invalid_api_keyInvalid API key
403insufficient_scopeAPI key lacks experiences:write scope
404not_foundSlot not found, guide assignment not found, or belongs to another supplier

Example Requestโ€‹

curl -X DELETE "https://app.equipdash.com/api/v1/experience-availability/12/guides/5" \
-H "Authorization: Bearer eqd_live_abc123xyz789..."